summaryrefslogtreecommitdiff
path: root/post-install.d/30hg-addremove
diff options
context:
space:
mode:
Diffstat (limited to 'post-install.d/30hg-addremove')
-rwxr-xr-xpost-install.d/30hg-addremove8
1 files changed, 8 insertions, 0 deletions
diff --git a/post-install.d/30hg-addremove b/post-install.d/30hg-addremove
new file mode 100755
index 0000000..1b999bb
--- /dev/null
+++ b/post-install.d/30hg-addremove
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = hg ] && [ -d .hg ]; then
+ if ! hg addremove .; then
+ echo "etckeeper warning: hg addremove failed" >&2
+ fi
+fi